<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- fdkanfang parent-->
    <groupId>com.fdkanfang</groupId>
    <artifactId>fdkanfang</artifactId>
    <packaging>pom</packaging>
    <version>1.0-SNAPSHOT</version>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.0.RELEASE</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>

    <!-- 模块说明：这里声明多个子模块 -->
    <modules>
        <module>fdkanfang-application</module>
        <module>fdkanfang-common</module>
        <module>fdkanfang-web</module>
        <module>fdkanfang-dao</module>
        <module>fdkanfang-service</module>
        <module>fdkanfang-domain</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <spring.boot.version>2.1.0.RELEASE</spring.boot.version>
        <fdkanfang.version>1.0.0</fdkanfang.version>
        <fastjson.version>1.2.51</fastjson.version>
        <druid.version>1.1.14</druid.version>
        <hutool.version>5.1.0</hutool.version>
        <lombok.version>1.18.2</lombok.version>
        <lang3.version>3.7</lang3.version>
        <mysql.version>8.0.15</mysql.version>
        <swagger2.version>2.9.2</swagger2.version>
        <shiro.version>1.4.0</shiro.version>
        <jwt.version>3.2.0</jwt.version>
        <aliyun.core.version>4.0.3</aliyun.core.version>
        <aliyun.dysmsapi.version>1.1.0</aliyun.dysmsapi.version>
        <aliyun.oss.version>2.5.0</aliyun.oss.version>
        <qiniu.version>7.2.0</qiniu.version>
        <!--<tk.mybatis.version>2.0.3</tk.mybatis.version>-->
        <tk.mybatis.version>2.0.2</tk.mybatis.version>
        <tk.mapper.version>4.0.3</tk.mapper.version>
        <!--<pagehelper.version>1.2.10</pagehelper.version>-->
        <pagehelper.version>1.2.5</pagehelper.version>

    </properties>


    <!--dependencyManagement用于管理依赖版本号, 必须写版本号，不然依赖不上-->
    <dependencyManagement>
        <dependencies>
            <!--模块版本管理-->
            <dependency>
                <groupId>com.fdkanfang</groupId>
                <artifactId>fdkanfang-common</artifactId>
                <version>${fdkanfang.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fdkanfang</groupId>
                <artifactId>fdkanfang-domain</artifactId>
                <version>${fdkanfang.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fdkanfang</groupId>
                <artifactId>fdkanfang-service</artifactId>
                <version>${fdkanfang.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fdkanfang</groupId>
                <artifactId>fdkanfang-dao</artifactId>
                <version>${fdkanfang.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fdkanfang</groupId>
                <artifactId>fdkanfang-web</artifactId>
                <version>${fdkanfang.version}</version>
            </dependency>


            <!-- springboot -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-jpa</artifactId>
                <version>${spring.boot.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-web</artifactId>
                <version>${spring.boot.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-test</artifactId>
                <scope>test</scope>
                <version>${spring.boot.version}</version>
            </dependency>

            <!--springboot中的redis依赖-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-redis</artifactId>
                <version>${spring.boot.version}</version>
            </dependency>

            <!--rabbit MA-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-amqp</artifactId>
                <version>${spring.boot.version}</version>
            </dependency>

            <!-- lombok -->
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>

            <!-- fastjson -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>

            <!--阿里数据库连接池 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>

            <!-- mysql -->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>

            <!-- 工具类 -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>

            <!-- StringUtils -->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${lang3.version}</version>
            </dependency>

            <!--&lt;!&ndash;swagger2核心包和swagger-ui界面包&ndash;&gt;-->
            <!--<dependency>-->
                <!--<groupId>io.springfox</groupId>-->
                <!--<artifactId>springfox-swagger2</artifactId>-->
                <!--<version>${swagger2.version}</version>-->
            <!--</dependency>-->
            <!--<dependency>-->
                <!--<groupId>io.springfox</groupId>-->
                <!--<artifactId>springfox-swagger-ui</artifactId>-->
                <!--<version>${swagger2.version}</version>-->
            <!--</dependency>-->

            <!-- knife4j aip 包-->
            <dependency>
                <groupId>com.github.xiaoymin</groupId>
                <artifactId>knife4j-spring-boot-starter</artifactId>
                <version>2.0.2</version>
            </dependency>

            <!-- shiro -->
            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-spring</artifactId>
                <version>${shiro.version}</version>
            </dependency>


            <!-- jwt -->
            <dependency>
                <groupId>com.auth0</groupId>
                <artifactId>java-jwt</artifactId>
                <version>${jwt.version}</version>
            </dependency>

            <!--aliyun sdk-->
            <dependency>
                <groupId>com.aliyun</groupId>
                <artifactId>aliyun-java-sdk-core</artifactId>
                <version>${aliyun.core.version}</version>
            </dependency>
            <dependency>
                <groupId>com.aliyun</groupId>
                <artifactId>aliyun-java-sdk-dysmsapi</artifactId>
                <version>${aliyun.dysmsapi.version}</version>
            </dependency>

            <!--aliyun oss-->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${aliyun.oss.version}</version>
            </dependency>

            <!-- qiniu yun-->
            <!--<dependency>-->
                <!--<groupId>com.qiniu</groupId>-->
                <!--<artifactId>qiniu-java-sdk</artifactId>-->
                <!--<version>${qiniu.version}</version>-->
            <!--</dependency>-->

            <!--tk.mybatis 依赖-->
            <dependency>
                <groupId>tk.mybatis</groupId>
                <artifactId>mapper-spring-boot-starter</artifactId>
                <version>${tk.mybatis.version}</version>
            </dependency>

            <!--<dependency>-->
                <!--<groupId>tk.mybatis</groupId>-->
                <!--<artifactId>mapper</artifactId>-->
                <!--<version>${tk.mapper.version}</version>-->
            <!--</dependency>-->

            <!--分页插件-->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.version}</version>
            </dependency>


        </dependencies>
    </dependencyManagement>


</project>